
Installer - Feature #18472

Add an option to upgrade puppet 3 to puppet 4 in the installer

02/13/2017 06:20 AM - Ewoud Kohl van Wijngaarden

Status: Rejected   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/219

  

Description

katello-installer has a --upgrade-puppet option that upgrades from puppet 3 to puppet 4. This is rather hardcoded to EL-based

systems but it should be possible to do the same for foreman-installer.

Related issues:

Related to Installer - Tracker #18471: Drop Puppet 3 support (installer modules) Closed 02/13/2017

History

#1 - 02/13/2017 06:21 AM - Ewoud Kohl van Wijngaarden

- Blocks Tracker #18471: Drop Puppet 3 support (installer modules) added

#2 - 05/18/2017 03:07 AM - Dominic Cleal

- Blocks deleted (Tracker #18471: Drop Puppet 3 support (installer modules))

#3 - 05/18/2017 03:07 AM - Dominic Cleal

- Related to Tracker #18471: Drop Puppet 3 support (installer modules) added

#4 - 08/23/2018 11:14 AM - Ewoud Kohl van Wijngaarden

- Status changed from Assigned to Rejected

By this point I no longer think this makes sense.
